View Issue Details

IDProjectCategoryView StatusLast Update
0030075Open CASCADEOCCT:Shape Healingpublic2020-12-05 13:01
Reporterskl Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.4.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0030075: [REGRESSION] Shape Healing - Regression after implementation of fix for bug 28694.
DescriptionRegression is due to changing criteria to detect U or V closed surfaces in order to separate case of the closed surface by U or V directions from the case of thin surface.
At this moment besides distance between 3D points for the first and last surface parameters in a given direction (U or V) distance between first and interior point of surface is considered.

For face produced from entity #375675 surface previously is considered as VClosed but in the current version it is considered as thin surface.
For 2 edge of this face 2D points near the singularities is computed by random way on the opposite ends of surface by V.
In the ShapeConstruct_ProjectCurveOnSurface::ApproxPCurve() method InsertAdditionalPointOrAdjust() moves 2D points on the correct parametric end of surface only for closed cases.
It seems that it should be applied and for all thin(narrow) surfaces also.

Therefore it is needed to change logical conditions in the method ApproxPCurve() or analyze other ways for resolving of regression.
Steps To Reproducepload ALL
stepread [locate_data_file OCC55.stp] a 375675
TagsNo tags attached.
Test case numberNot required

Relationships

child of 0028694 closedbugmaster IGES reader produces too small edge covered by its vertices 

Activities

git

2020-11-25 13:55

administrator   ~0097062

Branch CR30075 has been created by skl.

SHA-1: c741236a8c87048307acaa69e0b1a5e83efd6d1f


Detailed log of new commits:

Author: skl
Date: Wed Nov 25 13:55:12 2020 +0300

    0030075: [REGRESSION] Shape Healing - Regression after implementation of fix for bug 28694.
    
    Temporary check.

git

2020-11-25 16:26

administrator   ~0097073

Branch CR30075 has been updated forcibly by skl.

SHA-1: c01607fd9c9337aa6001e23c31e0bbe843014bb0

git

2020-11-26 09:53

administrator   ~0097081

Branch CR30075 has been updated by skl.

SHA-1: 8ffcab8e4084568b85ca2294900f42b01e3f020d


Detailed log of new commits:

Author: skl
Date: Thu Nov 26 09:52:46 2020 +0300

    0030075: [REGRESSION] Shape Healing - Regression after implementation of fix for bug 28694.
    
    Detect situation when U or V parameter has a big jump between two neighbour 2D points (diffX > (Umax-Umin)/2 or diffY > (Vmax-Vmin)/2) and this points are not near of singularity. Additionaly surface must BSpline and distance between corresponding 3D points must be less than given precision. For set of 2D points contains such jump method InsertAdditionalPointOrAdjust() is performed.

git

2020-11-26 18:54

administrator   ~0097102

Branch CR30075 has been updated forcibly by skl.

SHA-1: 2ae3a71c2de22b1aa857558e84eb6c63a5cd8900

git

2020-11-30 11:21

administrator   ~0097151

Branch CR30075 has been updated forcibly by skl.

SHA-1: bd267c8fa772e02380059f133c48fef8e8c4fe92

git

2020-12-01 11:01

administrator   ~0097185

Branch CR30075 has been updated forcibly by skl.

SHA-1: 270b759c1c2b98cb3d7ac9945feaf32a7953d92c

skl

2020-12-01 11:03

developer   ~0097186

Detect situation when U or V parameter has a big jump between two neighbour 2D points (diffX > 0.95*(Umax-Umin) or diffY > 0.95*(Vmax-Vmin)). Additionaly surface must BSpline and distance between corresponding 3D points must be less than given precision. For set of 2D points contains such jump method InsertAdditionalPointOrAdjust() is performed.

Result of tests:
http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR30075-master-skl/view/COMPARE/

gka

2020-12-02 18:41

developer   ~0097253

Branch CR30075 was reviewed

bugmaster

2020-12-05 11:57

administrator   ~0097348

Combination -
OCCT branch : IR-2020-12-04
master SHA - 1e08a76f1e872a1f38931a6c3e8cf71396fc1209
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-12-04 SHA - cb56638fb6b31df41b28133f69a1dc202dcb56aa
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18090.67999999998 / 18052.040000000085 [+0.21%]
Products
Total CPU difference: 12342.950000000128 / 12326.850000000131 [+0.13%]
Windows-64-VC14:
OCCT
Total CPU difference: 19751.5 / 19705.828125 [+0.23%]
Products
Total CPU difference: 13772.515625 / 13793.796875 [-0.15%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2020-12-05 13:01

administrator   ~0097362

Branch CR30075 has been deleted by inv.

SHA-1: 270b759c1c2b98cb3d7ac9945feaf32a7953d92c

Related Changesets

occt: master b7353545

2020-11-25 10:55:12

skl


Committer: bugmaster Details Diff
0030075: [REGRESSION] Shape Healing - Regression after implementation of fix for bug 28694.

Detect situation when U or V parameter has a big jump between two neighbour 2D points (diffX > 0.95*(Umax-Umin) or diffY > 0.95*(Vmax-Vmin)).
Additionaly surface must BSpline and distance between corresponding 3D points must be less than given precision.
For set of 2D points contains such jump method InsertAdditionalPointOrAdjust() is performed.
Affected Issues
0030075
mod - src/ShapeConstruct/ShapeConstruct_ProjectCurveOnSurface.cxx Diff File
mod - tests/bugs/step/bug55 Diff File

Issue History

Date Modified Username Field Change
2018-08-21 16:16 skl New Issue
2018-08-21 16:16 skl Assigned To => gka
2018-08-21 16:19 skl Relationship added child of 0028694
2019-09-02 18:39 abv Steps to Reproduce Updated
2019-09-04 16:13 kgv Product Version => 7.4.0
2019-09-04 16:13 kgv Summary Regression after implementation of fix for bug 28694. => Shape Healing - Regression after implementation of fix for bug 28694.
2019-09-04 16:13 kgv Summary Shape Healing - Regression after implementation of fix for bug 28694. => [REGRESSION] Shape Healing - Regression after implementation of fix for bug 28694.
2019-09-16 10:50 gka Assigned To gka => skl
2019-09-16 10:50 gka Status new => assigned
2019-09-25 22:09 abv Target Version 7.4.0 => 7.5.0
2020-09-11 16:48 utverdov Target Version 7.5.0 => 7.6.0
2020-11-25 13:55 git Note Added: 0097062
2020-11-25 16:26 git Note Added: 0097073
2020-11-26 09:53 git Note Added: 0097081
2020-11-26 18:54 git Note Added: 0097102
2020-11-30 11:21 git Note Added: 0097151
2020-12-01 11:01 git Note Added: 0097185
2020-12-01 11:03 skl Note Added: 0097186
2020-12-01 11:03 skl Assigned To skl => gka
2020-12-01 11:03 skl Status assigned => resolved
2020-12-02 18:41 gka Note Added: 0097253
2020-12-02 18:41 gka Assigned To gka => bugmaster
2020-12-02 18:41 gka Status resolved => reviewed
2020-12-05 11:57 bugmaster Note Added: 0097348
2020-12-05 11:57 bugmaster Status reviewed => tested
2020-12-05 12:09 bugmaster Test case number => Not required
2020-12-05 12:15 bugmaster Changeset attached => occt master b7353545
2020-12-05 12:15 bugmaster Status tested => verified
2020-12-05 12:15 bugmaster Resolution open => fixed
2020-12-05 13:01 git Note Added: 0097362